
Redmine - Defect #4186

Diff view shows two tables and partial diff

2009-11-09 12:00 - Sjoerd Langke

Status: Closed Start date: 2009-11-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version: 0.8.6

Description

In attached screenshot, you see the diff view with two tables. I expect only one table, because I view the diff of only one file.

Furthermore, the heading of the second table comes from the file. The actual diff (also attached) shows more differences than the diff

view.

Associated revisions

Revision 3028 - 2009-11-11 14:25 - Jean-Philippe Lang

Fixes diff parser for when lines starting with multiple dashes are removed (#4186).

History

#1 - 2009-11-09 15:08 - Thomas Pihl

You have selected to show diff "side by side".

What will it show if you select "inline" instead?

There might be some whitespaces handled differently in the view compared to the downloaded version.

#2 - 2009-11-09 17:53 - Sjoerd Langke

- File redmine-inline.png added

With inline view it is the same.

#3 - 2009-11-11 14:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.6

- Resolution set to Fixed

- Affected version set to 0.8.6

Fixed in r3028.

#4 - 2009-11-11 14:30 - Sjoerd Langke

Thank you.

Files

weirddiff.png 83.8 KB 2009-11-09 Sjoerd Langke

changeset_r28711.diff 6.17 KB 2009-11-09 Sjoerd Langke

redmine-inline.png 39.3 KB 2009-11-09 Sjoerd Langke
